Package fr.gouv.vitam.common.model.administration

# Class StorageDetailModel

java.lang.Object
fr.gouv.vitam.common.model.administration.StorageDetailModel

public class StorageDetailModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_OBJECT_GROUP_STRATEGY`
  `static final String`
  `TAG_OBJECT_STRATEGY`
  `static final String`
  `TAG_UNIT_STRATEGY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageDetailModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getObjectGroupStrategy()`
  `String`
  `getObjectStrategy()`
  `String`
  `getUnitStrategy()`
  `StorageDetailModel`
  `setObjectGroupStrategy(String objectGroupStrategy)`
  `StorageDetailModel`
  `setObjectStrategy(String objectStrategy)`
  `StorageDetailModel`
  `setUnitStrategy(String unitStrategy)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_UNIT_STRATEGY

    public static final String TAG_UNIT_STRATEGY
    See Also:
      - Constant Field Values

  - ### TAG_OBJECT_GROUP_STRATEGY

    public static final String TAG_OBJECT_GROUP_STRATEGY
    See Also:
      - Constant Field Values

  - ### TAG_OBJECT_STRATEGY

    public static final String TAG_OBJECT_STRATEGY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorageDetailModel

    public StorageDetailModel()

- ## Method Details

  - ### getUnitStrategy

    public String getUnitStrategy()

  - ### setUnitStrategy

    public StorageDetailModel setUnitStrategy(String unitStrategy)

  - ### getObjectGroupStrategy

    public String getObjectGroupStrategy()

  - ### setObjectGroupStrategy

    public StorageDetailModel setObjectGroupStrategy(String objectGroupStrategy)

  - ### getObjectStrategy

    public String getObjectStrategy()

  - ### setObjectStrategy

    public StorageDetailModel setObjectStrategy(String objectStrategy)